import sys
import os.path

from cocos.director import director
from cocos.layer import Layer
from cocos.scene import Scene
from cocos.scenes.transitions import *
from cocos.text import Label
from cocos.sprite import Sprite
from cocos.actions.base_actions import *
from cocos.actions.interval_actions import *
from cocos.actions.instant_actions import *
from cocos.actions.interval_actions import Reverse, Repeat

import pyglet
from pyglet import gl, font
from pyglet.window import key

import soundex
from constants import *

import endgame_scene
import battle_scene


class BackgroundLayer(Layer):
    def __init__(self):
        super(BackgroundLayer, self).__init__()
        trace = Sprite("endgame.png", position=(WIDTH/2,HEIGHT/2))
        credits = Sprite("credits.png", position=(WIDTH/2,HEIGHT/2))

        self.add(trace,z=1)
        self.add(credits,z=2)
        
        credits.opacity=0
        credits.do( Delay(5) + FadeIn(1) )

class WorldScene(Scene):
    def __init__(self):
        super(WorldScene, self).__init__()
        bkg = BackgroundLayer()
        self.add(bkg, z=1)

def get_endgame_scene():
    scene = WorldScene()
    return scene
